variable "base_hostname" {
  type = string
  description = "Base hostname to serve content from"
  default = "dev.homelab"
}

locals {
  config_data = templatefile(
    "${path.module}/config.yml",
    {
      "base_hostname" = "${var.base_hostname}",
      # Could get this from consul_service.traefik
      # but not sure what happens if it doens't exist yet
      "ingress_address" = "192.168.2.106",
    }
  )
}

resource "nomad_job" "blocky" {
  hcl2 {
    enabled = true
    vars = {
      "config_data" = "${local.config_data}",
    }
  }

  jobspec = file("${path.module}/blocky.nomad")
}
